Get activity list

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /projects/{projectId}/scenarios/{scenarioId}/activity-list

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required
application/json

Body Required

  • groupBy string

    Values are NONE, ACTIVITY_CODE_TYPE, or WBS.

  • activityCodeTypeIds array[integer(int64)]
  • columns array[string]

    Values are ID, NAME, START_DATE, END_DATE, DURATION, TOTAL_FLOAT, CURRENT_FORECAST_FINISH, FINISH_VARIANCE, or SUCCESSORS.

  • filterId array[integer(int64)]
  • activityCodeFilter array[integer(int64)]
  • dataDate string(date-time)

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • activityCodeId integer(int64)
    • activityCodeName string
    • activities array[object]

      Additional properties are allowed.

POST /projects/{projectId}/scenarios/{scenarioId}/activity-list
curl \
 --request POST 'https://live.smartpmtech.com/projects/{projectId}/scenarios/{scenarioId}/activity-list' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "groupBy": "NONE",
  "activityCodeTypeIds": [
    42
  ],
  "columns": [
    "ID"
  ],
  "filterId": [
    42
  ],
  "activityCodeFilter": [
    42
  ],
  "dataDate": "2026-05-04T09:42:00Z"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "groupBy": "NONE",
  "activityCodeTypeIds": [
    42
  ],
  "columns": [
    "ID"
  ],
  "filterId": [
    42
  ],
  "activityCodeFilter": [
    42
  ],
  "dataDate": "2026-05-04T09:42:00Z"
}
Response examples (200)
[
  {
    "activityCodeId": 42,
    "activityCodeName": "string",
    "activities": [
      {}
    ]
  }
]